Package net.sf.saxon.serialize

## Class SerializationParamsHandler

- java.lang.Object
- - net.sf.saxon.serialize.SerializationParamsHandler

-     public class SerializationParamsHandler
      extends java.lang.Object

  This class handles a set of serialization parameters provided in the form of an XDM instance as specified in the Serialization 3.0 definition, section 3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAMESPACE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializationParamsHandler()` |
    `SerializationParamsHandler​(java.util.Properties props)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CharacterMap` | `getCharacterMap()` |
    `SerializationProperties` | `getSerializationProperties()` | Get the output properties represented by this serialization parameter document
    `void` | `setLocator​(Location locator)` | Set the location of the instruction to be used for error message reporting
    `void` | `setSerializationParams​(NodeInfo node)` | Set the serialization parameters in the form of an XDM instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerializationParamsHandler

          public SerializationParamsHandler()

    - #### SerializationParamsHandler

          public SerializationParamsHandler​(java.util.Properties props)

  - ### Method Detail

    - #### setLocator

          public void setLocator​(Location locator)

      Set the location of the instruction to be used for error message reporting
      Parameters:
        `locator` - the location for error reporting

    - #### setSerializationParams

          public void setSerializationParams​(NodeInfo node)
                                      throws XPathException

      Set the serialization parameters in the form of an XDM instance
      Parameters:
        `node` - either the serialization-parameters element node, or a document node having this element as its only child
      Throws:
        `XPathException` - if incorrect serialization parameters are found

    - #### getSerializationProperties

          public SerializationProperties getSerializationProperties()

      Get the output properties represented by this serialization parameter document
      Returns:
        the output properties obtained by parsing and validating this serialization parameter document

    - #### getCharacterMap

          public CharacterMap getCharacterMap()